> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smsmanager.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Přečíst odeslané požadavky



## OpenAPI

````yaml /openapi/cs/rest/restapi_v1.yaml get /requests
openapi: 3.1.0
info:
  title: REST API SmsManager
  description: |
    API pro správu účtů a dalších zdrojů SmsManageru.
  version: v1
  contact:
    url: https://smsmanager.com
    email: cc@smsmanager.com
servers:
  - url: https://rest-api.smsmngr.com/v1
    description: Odpoví s daty vašeho požadavku
security:
  - x-api-key: []
tags:
  - name: api
    x-displayName: API klíč
    description: |
      Pro správu API klíčů použijte následující koncové body.
  - name: status
    x-displayName: Stav
    description: |
      Pro čtení stavu odeslaných zpráv použijte následující koncové body.
  - name: inbox
    x-displayName: Inbox
    description: |
      For reading inbox messages use the following endpoints.
  - name: credit
    x-displayName: Credit
    description: |
      For reading credit balance or pricelist info use the following endpoints.
paths:
  /requests:
    get:
      tags:
        - status
      summary: Přečíst odeslané požadavky
      parameters:
        - name: dates
          in: query
          required: true
          description: Data ve formátu RRRR-MM-DD oddělená čárkou
          schema:
            type: string
            example: 2025-01-01,2025-01-02
      responses:
        '200':
          description: Informace o požadavcích
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Stav úspěchu.
                    example: true
                  requests:
                    type: array
                    description: Pole požadavků.
                    items:
                      type: object
                      properties:
                        date:
                          type: string
                          description: Datum ve formátu RRRR-MM-DD.
                        stats:
                          type: object
                          description: Statistiky pro požadavek.
                          properties:
                            count_delivered:
                              type: integer
                              description: Počet doručených zpráv.
                            count_nondelivered:
                              type: integer
                              description: Počet nedoručených zpráv.
                            count_sent:
                              type: integer
                              description: Počet odeslaných zpráv.
                            count_notsent:
                              type: integer
                              description: Počet neodeslaných zpráv.
                            msg_sent:
                              type: integer
                              description: Počet odeslaných zpráv.
        '400':
          description: Špatný požadavek
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Stav úspěchu.
                    example: false
                  message:
                    type: string
                    description: Chybová zpráva.
                    example: Registrace na WhatsApp se nezdařila
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````